]> granicus.if.org Git - multimarkdown/commitdiff
CHANGED: Remove odf files; replace convenience scripts
authorFletcher T. Penney <fletcher@fletcherpenney.net>
Wed, 5 Jul 2017 18:36:12 +0000 (14:36 -0400)
committerFletcher T. Penney <fletcher@fletcherpenney.net>
Wed, 5 Jul 2017 18:36:12 +0000 (14:36 -0400)
CMakeLists.txt
Sources/libMultiMarkdown/odf.c [deleted file]
Sources/libMultiMarkdown/odf.h [deleted file]
scripts/mmd2fodt [new file with mode: 0755]
scripts/mmd2fodt.bat [new file with mode: 0755]
scripts/mmd2odt [moved from scripts/mmd2odf with 80% similarity]
scripts/mmd2odt.bat [moved from scripts/mmd2odf.bat with 58% similarity]

index 78c4066786be0b0c002814a12be413d53f6e18d1..9ba959d52b8e8fedbd2079db7ffe18e0c025e79c 100644 (file)
@@ -190,7 +190,6 @@ set(src_files
        Sources/libMultiMarkdown/memoir.c
        Sources/libMultiMarkdown/miniz.c
        Sources/libMultiMarkdown/mmd.c
-       Sources/libMultiMarkdown/odf.c
        Sources/libMultiMarkdown/object_pool.c
        Sources/libMultiMarkdown/opendocument.c
        Sources/libMultiMarkdown/opendocument-content.c
@@ -223,7 +222,6 @@ set(header_files
        Sources/libMultiMarkdown/memoir.h
        Sources/libMultiMarkdown/miniz.h
        Sources/libMultiMarkdown/mmd.h
-       Sources/libMultiMarkdown/odf.c
        Sources/libMultiMarkdown/object_pool.h
        Sources/libMultiMarkdown/opendocument.h
        Sources/libMultiMarkdown/opendocument-content.h
@@ -244,7 +242,8 @@ if (WIN32)
                scripts/mmd.bat
                scripts/mmd2all.bat
                scripts/mmd2epub.bat
-               scripts/mmd2odf.bat
+               scripts/mmd2fodt.bat
+               scripts/mmd2odt.bat
                scripts/mmd2opml.bat
                scripts/mmd2tex.bat
                scripts/markdown.bat
@@ -254,7 +253,8 @@ else()
                scripts/mmd
                scripts/mmd2all
                scripts/mmd2epub
-               scripts/mmd2odf
+               scripts/mmd2fodt
+               scripts/mmd2odt
                scripts/mmd2opml
                scripts/mmd2pdf
                scripts/mmd2tex
diff --git a/Sources/libMultiMarkdown/odf.c b/Sources/libMultiMarkdown/odf.c
deleted file mode 100644 (file)
index 61290cb..0000000
+++ /dev/null
@@ -1,117 +0,0 @@
-/**
-
-       MultiMarkdown -- Lightweight markup processor to produce HTML, LaTeX, and more.
-
-       @file odf.c
-
-       @brief 
-
-
-       @author Fletcher T. Penney
-       @bug    
-
-**/
-
-/*
-
-       Copyright © 2016 - 2017 Fletcher T. Penney.
-
-
-       The `MultiMarkdown 6` project is released under the MIT License..
-       
-       GLibFacade.c and GLibFacade.h are from the MultiMarkdown v4 project:
-       
-               https://github.com/fletcher/MultiMarkdown-4/
-       
-       MMD 4 is released under both the MIT License and GPL.
-       
-       
-       CuTest is released under the zlib/libpng license. See CuTest.c for the
-       text of the license.
-       
-       uthash library:
-               Copyright (c) 2005-2016, Troy D. Hanson
-       
-               Licensed under Revised BSD license
-       
-       miniz library:
-               Copyright 2013-2014 RAD Game Tools and Valve Software
-               Copyright 2010-2014 Rich Geldreich and Tenacious Software LLC
-       
-               Licensed under the MIT license
-       
-       argtable3 library:
-               Copyright (C) 1998-2001,2003-2011,2013 Stewart Heitmann
-               <sheitmann@users.sourceforge.net>
-               All rights reserved.
-       
-               Licensed under the Revised BSD License
-       
-       
-       ## The MIT License ##
-       
-       Permission is hereby granted, free of charge, to any person obtaining
-       a copy of this software and associated documentation files (the
-       "Software"), to deal in the Software without restriction, including
-       without limitation the rights to use, copy, modify, merge, publish,
-       distribute, sublicense, and/or sell copies of the Software, and to
-       permit persons to whom the Software is furnished to do so, subject to
-       the following conditions:
-       
-       The above copyright notice and this permission notice shall be
-       included in all copies or substantial portions of the Software.
-       
-       THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-       EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-       MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-       IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
-       CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
-       TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
-       SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-       
-       
-       ## Revised BSD License ##
-       
-       Redistribution and use in source and binary forms, with or without
-       modification, are permitted provided that the following conditions are
-       met:
-           * Redistributions of source code must retain the above copyright
-             notice, this list of conditions and the following disclaimer.
-           * Redistributions in binary form must reproduce the above
-             copyright notice, this list of conditions and the following
-             disclaimer in the documentation and/or other materials provided
-             with the distribution.
-           * Neither the name of the <organization> nor the
-             names of its contributors may be used to endorse or promote
-             products derived from this software without specific prior
-             written permission.
-       
-       THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-       "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-       LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-       A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT
-       HOLDER> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-       EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-       PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES LOSS OF USE, DATA, OR
-       PROFITS OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-       LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-       NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-       SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-       
-
-*/
-
-
-#include "odf.h"
-
-static int void_function(void) {
-       return 0;
-}
-
-#ifdef TEST
-static void Test_void_function(CuTest* tc) {
-       int test = void_function();
-
-       CuAssertIntEquals(tc, 0, test);
-}
-#endif
diff --git a/Sources/libMultiMarkdown/odf.h b/Sources/libMultiMarkdown/odf.h
deleted file mode 100644 (file)
index 8dc7d01..0000000
+++ /dev/null
@@ -1,116 +0,0 @@
-/**
-
-       MultiMarkdown -- Lightweight markup processor to produce HTML, LaTeX, and more.
-
-       @file odf.h
-
-       @brief 
-
-
-       @author Fletcher T. Penney
-       @bug    
-
-**/
-
-/*
-
-       Copyright © 2016 - 2017 Fletcher T. Penney.
-
-
-       The `MultiMarkdown 6` project is released under the MIT License..
-       
-       GLibFacade.c and GLibFacade.h are from the MultiMarkdown v4 project:
-       
-               https://github.com/fletcher/MultiMarkdown-4/
-       
-       MMD 4 is released under both the MIT License and GPL.
-       
-       
-       CuTest is released under the zlib/libpng license. See CuTest.c for the
-       text of the license.
-       
-       uthash library:
-               Copyright (c) 2005-2016, Troy D. Hanson
-       
-               Licensed under Revised BSD license
-       
-       miniz library:
-               Copyright 2013-2014 RAD Game Tools and Valve Software
-               Copyright 2010-2014 Rich Geldreich and Tenacious Software LLC
-       
-               Licensed under the MIT license
-       
-       argtable3 library:
-               Copyright (C) 1998-2001,2003-2011,2013 Stewart Heitmann
-               <sheitmann@users.sourceforge.net>
-               All rights reserved.
-       
-               Licensed under the Revised BSD License
-       
-       
-       ## The MIT License ##
-       
-       Permission is hereby granted, free of charge, to any person obtaining
-       a copy of this software and associated documentation files (the
-       "Software"), to deal in the Software without restriction, including
-       without limitation the rights to use, copy, modify, merge, publish,
-       distribute, sublicense, and/or sell copies of the Software, and to
-       permit persons to whom the Software is furnished to do so, subject to
-       the following conditions:
-       
-       The above copyright notice and this permission notice shall be
-       included in all copies or substantial portions of the Software.
-       
-       THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-       EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-       MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-       IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
-       CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
-       TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
-       SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-       
-       
-       ## Revised BSD License ##
-       
-       Redistribution and use in source and binary forms, with or without
-       modification, are permitted provided that the following conditions are
-       met:
-           * Redistributions of source code must retain the above copyright
-             notice, this list of conditions and the following disclaimer.
-           * Redistributions in binary form must reproduce the above
-             copyright notice, this list of conditions and the following
-             disclaimer in the documentation and/or other materials provided
-             with the distribution.
-           * Neither the name of the <organization> nor the
-             names of its contributors may be used to endorse or promote
-             products derived from this software without specific prior
-             written permission.
-       
-       THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-       "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-       LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-       A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT
-       HOLDER> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-       EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-       PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES LOSS OF USE, DATA, OR
-       PROFITS OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-       LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-       NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-       SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-       
-
-*/
-
-
-#ifndef ODF_MULTIMARKDOWN_H
-#define ODF_MULTIMARKDOWN_H
-
-#ifdef TEST
-#include "CuTest.h"
-#endif
-
-
-/// This is a sample function with a doxygen description.
-// void void_f(void);
-
-#endif
diff --git a/scripts/mmd2fodt b/scripts/mmd2fodt
new file mode 100755 (executable)
index 0000000..64258d1
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# mmd2fodt --- MultiMarkdown convenience script
+#      <http://fletcherpenney.net/multimarkdown/>
+#      Fletcher T. Penney
+#
+# Pass arguments on to the binary to convert text to OpenDocument
+#
+
+# Be sure to include multimarkdown in our PATH
+export PATH="$PWD:/usr/local/bin:$PATH"
+
+which multimarkdown > /dev/null
+if [ $? = 1 ]
+then
+       echo multimarkdown executable not found! >&2
+       exit 1
+fi
+
+if [ $# = 0 ]
+then
+       multimarkdown -t fodt
+else
+until [ "$*" = "" ]
+do
+       multimarkdown -b -t fodt "$1"
+       shift
+done
+fi
diff --git a/scripts/mmd2fodt.bat b/scripts/mmd2fodt.bat
new file mode 100755 (executable)
index 0000000..9409b53
--- /dev/null
@@ -0,0 +1,8 @@
+@ECHO OFF\r
+:Loop\r
+IF "%1"=="" GOTO Continue\r
+   "%~dp0\multimarkdown" -b -t fodt "%1"\r
+SHIFT\r
+GOTO Loop\r
+:Continue\r
+\r
similarity index 80%
rename from scripts/mmd2odf
rename to scripts/mmd2odt
index 0109caba85ba6493453f455a00bd1e91a4306491..a0acc66af770d92d7647c6674849e936a2e17933 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# mmd2odf --- MultiMarkdown convenience script
+# mmd2odt --- MultiMarkdown convenience script
 #      <http://fletcherpenney.net/multimarkdown/>
 #      Fletcher T. Penney
 #
@@ -19,11 +19,11 @@ fi
 
 if [ $# = 0 ]
 then
-       multimarkdown -t odf
+       multimarkdown -t odt
 else
 until [ "$*" = "" ]
 do
-       multimarkdown -b -t odf "$1"
+       multimarkdown -b -t odt "$1"
        shift
 done
 fi
similarity index 58%
rename from scripts/mmd2odf.bat
rename to scripts/mmd2odt.bat
index 3e82996a95d99b3c60f4dfb3390456508c62d95d..4facc2a31983050a78291f822f1efcba122644bd 100755 (executable)
@@ -1,7 +1,7 @@
 @ECHO OFF\r
 :Loop\r
 IF "%1"=="" GOTO Continue\r
-   "%~dp0\multimarkdown" -b -t odf "%1"\r
+   "%~dp0\multimarkdown" -b -t odt "%1"\r
 SHIFT\r
 GOTO Loop\r
 :Continue\r